Bug 580554 - Review Request: ghc-packedstring - A packedstring library for Haskell
Review Request: ghc-packedstring - A packedstring library for Haskell
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-08 10:05 EDT by Shakthi Kannan
Modified: 2010-06-22 04:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-22 04:44:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2010-04-08 10:05:47 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-packedstring.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-packedstring-0.1.0.1-1.fc12.src.rpm
Description: A packedstring library for Haskell
Comment 1 Shakthi Kannan 2010-04-08 10:09:20 EDT
$ rpmlint -iv ghc-packedstring.spec ../SRPMS/ghc-packedstring-0.1.0.1-1.fc12.src.rpm ../RPMS/i686/ghc-packedstring-*

ghc-packedstring.src: I: checking
ghc-packedstring.i686: I: checking
ghc-packedstring.i686: W: unstripped-binary-or-object /usr/lib/ghc-6.12.1/packedstring-0.1.0.1/libHSpackedstring-0.1.0.1-ghc6.12.1.so
ghc-packedstring.i686: W: executable-stack /usr/lib/ghc-6.12.1/packedstring-0.1.0.1/libHSpackedstring-0.1.0.1-ghc6.12.1.so
The binary declares the stack as executable.  Executable stack is usually an
error as it is only needed if the code contains GCC trampolines or similar
constructs which uses code on the stack.  One common source for needlessly
executable stack cases are object files built from assembler files which don't
define a proper .note.GNU-stack section.

ghc-packedstring-devel.i686: I: checking
ghc-packedstring-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-packedstring-doc.i686: I: checking
ghc-packedstring-prof.i686: I: checking
ghc-packedstring-prof.i686: E: devel-dependency ghc-packedstring-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-packedstring-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-packedstring-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.1/packedstring-0.1.0.1/libHSpackedstring-0.1.0.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

5 packages and 1 specfiles checked; 1 errors, 5 warnings.

Successful Koji builds for F-13 and F-14, respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2102529
http://koji.fedoraproject.org/koji/taskinfo?taskID=2102526
Comment 2 Bryan O'Sullivan 2010-04-08 12:23:25 EDT
This package is deprecated and unmaintained. It should not be packaged for Fedora, I believe. I'd like to close this out.
Comment 3 Shakthi Kannan 2010-04-08 23:48:07 EDT
Yes, it is deprecated. But, I require this for packaging ForSyDe:

  http://www.ict.kth.se/forsyde/

Before submitting the review request, I did have this query, and I checked with Jens Petersen ("juhp") on IRC, and he said if the package is required, it could be shipped. 

I shall contact upstream about migrating their sources to use new libraries. Until that happens, could we ship this package, and provide ForSyDe to our end users?

Thanks for your reply.
Comment 4 Bryan O'Sullivan 2010-04-08 23:58:31 EDT
I'd prefer to package forsyde by adding a patch to remove the dependency on packedstring rather than prolong the life of the packedstring code.
Comment 5 Jens Petersen 2010-04-28 20:50:54 EDT
It only seems to be used in one file:

ForSyDe-3.0/src/Language/Haskell/TH/Lift.hs
Comment 6 Shakthi Kannan 2010-04-28 21:06:03 EDT
@Jens:

Yes. So, as suggested by Bryan, we could patch ForSyDe when packaging? If yes, please close this review request.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.